<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
	  version="2.0">
    <jsp:directive.page contentType="application/xhtml+xml"/>
    <jsp:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-root-element="html"
		omit-xml-declaration="false"/>


    <!-- Aby fungovalo formátování čísel a dat při chybějící HTTP hlavičce -->
    <!-- Není potřeba, pokud ve web.xml nastavíme „fallbackLocale“ -->
    <c:if test="${header['Accept-language'] == null}">
	<fmt:setLocale value="cs"/>
    </c:if>

    <!-- Jazyk požadovaný prohlížečem (Accept-language) půjde přebít GET parametrem -->
    <c:if test="${param.jazyk != null}">
	<fmt:setLocale value="${param.jazyk}"/>
	<!-- Vyzkoušejte si:
		formatovani.jsp?jazyk=en_
		formatovani.jsp?jazyk=_en
		formatovani.jsp?jazyk=_
	-->
    </c:if>

    <fmt:setBundle basename="cz.frantovo.nekurak.preklady" scope="application"/>

    <html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	    <title><fmt:message key="nazev"/></title>
	    <link href="styl.css" type="text/css" rel="StyleSheet"/>
	</head>
	<body>


	    <h1>Formátování</h1>

	    <h2>Čísla</h2>
	    <p>Formát čísla: ###,###.###</p>
	    <p>1234567890 → <fmt:formatNumber value="1234567890" pattern="###,###.###"/></p>
	    <p>1234567.890 → <fmt:formatNumber value="1234567.890" pattern="###,###.###"/></p>
	    <p>1234567.123999 → <fmt:formatNumber value="1234567.123999" pattern="###,###.###"/></p>

	    <h2>Datum</h2>
	    <jsp:useBean id="datum" class="java.util.Date" scope="request"/>
	    <p>dd.MM. yyyy HH:mm:ss → <fmt:formatDate value="${datum}" pattern="dd.MM. yyyy HH:mm:ss"/></p>
	    <p>dd.MM. yyyy → <fmt:formatDate value="${datum}" pattern="dd.MM. yyyy"/></p>
	    <p>dd.MMM yyyy → <fmt:formatDate value="${datum}" pattern="dd. MMM yyyy"/></p>
	    <p>dd.MMMM yyyy → <fmt:formatDate value="${datum}" pattern="dd. MMMM yyyy"/></p>




	    <h1>Lokalizace</h1>
	    <p>K lokalizaci používáme značku &amp;lt;fmt:message key="klic"/&amp;gt;</p>
	    <p>Zvolený jazyk: <fmt:message key="jazyk"/></p>

	    <!-- lokalizovaný text si můžeme uložit do proměnné -->
	    <fmt:message key="jazyk" var="xJazyk"/>

	    <!-- a vypsat ho až později -->
	    <p>Obsah proměnné: ${xJazyk}.</p>

	    <pre><fmt:message key="odradkovani"/></pre>

	    <p><fmt:message key="dlouhyRadek"/></p>

	    <h2>Java si poradí i s českým jazykem</h2>
	    <ul>
	    <c:forEach var="pocet" begin="0" end="8">
		<li><fmt:message key="pocetEmailu"><fmt:param value="${pocet}"/></fmt:message></li>
	    </c:forEach>
	    </ul>


	    <jsp:include page="WEB-INF/casti/paticka.jsp">
		<jsp:param name="rok" value="2010" />
	    </jsp:include>
	</body>
    </html>

</jsp:root>
